/****************************************************************************\
**  Title:       GIFDECOD.C                                                 **
**  Purpose:     Decode a GIF image file scan line.                         **
**  Version:     1.0                                                        **
**  Date:        May 1991                                                   **
**  Author:      James D. Murray, Anaheim, CA  USA                          **
**  C Compilers: Borland C++ v2.0, Microsoft C v6.00a                       **
**                                                                          **
**  Compress an image scan line using the Lez-Zempel Welch (LZW) encoding   **
**  algorithm.  Decoded data is returned in a buffer.  Useful for           **
**  algorithms that need to work on images one scan line at a time.         **
**                                                                          **
**  This module contains the following functions:                           **
**                                                                          **
**      GifDecodeScanLine - Decode an LZW-encoded scan line                 **
**                                                                          **
**  Copyright (C) 1991 by Graphics Software Labs.  All rights reserved.     **
\****************************************************************************/
#include <stdio.h>
#include "endianio.h"
#include "gif.h"


/*
**  Decode (uncompress) a GIF image file scan line.
**
**  The LZW-encoded data stored in a GIF file is arranged as a series
**  of sub-blocks.  Each sub-lock consists of a single count byte followed
**  by 1 to 255 data bytes.  This function reads the sub-blocks, sends
**  the LZW data to the LZWDecode() function, and then returns a parameter
**  pointer to a buffer filled with the decoded image data.
*/
SHORT
GIFDecodeScanLine(DecodedBuffer, BufferSize, MinCodeSize, FpGif)
BYTE *DecodedBuffer;    /* Pointer to buffer to hold decoded data         */
WORD  BufferSize;       /* Size of buffer to hold decoded data            */
BYTE  MinCodeSize;      /*  */
FILE *FpGif;            /* FILE pointer to the open input GIF image file  */
{
#if 0
    if (!(DecodedBuffer = LZWDecoder(buffer, bufferSize, MinCodeSize)))
        return(-1);
#endif
    return(0);
}
}
